Issues on right click of issues should allow edit on status change event 

2017-07-14 09:11 - Shreyas Moolya

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.2.6

Description

When I try to change an issue status, with right-click, the views asks me to set a custom field and does not allow me to save the

issue and the view also does not show the set custom field as per workflow.

!direct edit of calls.png!

But in the same scenario, when I left-click on the issue and then try to edit the call it asks me to set the custom field as per workflow

with the view showing me to set the custom field.

Related issues:

Related to Redmine - Defect #23755: Bulk edit form not show fields based on t... Closed

History

#1 - 2017-07-14 10:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

Please explain more details and see submissions.

#2 - 2017-07-14 10:59 - Toshi MARUYAMA

I confirmed on 3.3-stable.

But it seems be fixed by #23755 on 3.4-stable.

#3 - 2017-07-14 11:00 - Toshi MARUYAMA

- Related to Defect #23755: Bulk edit form not show fields based on target tracker and status added

#4 - 2017-07-14 11:19 - Shreyas Moolya

- File the_way_error_is_generated.png added

- File custom_field_shows_properly.png added

Toshi MARUYAMA wrote:

Please explain more details and see submissions.

 When I try right click from the issues page, on the issue, I get a validation error for the custom field(Actual Start Date) to be set but the view doesn't

show the custom field.
But when i click on 'Edit' and then try to change the status the same custom field is shown and the field can be set.

 

I am currently using the redmine 3.2.6 but this problem am facing since earlier version like 3.1.x.

#5 - 2019-06-19 09:39 - dan hamilton

- File 114.pdf added

#6 - 2019-06-19 10:44 - Go MAEDA

- File deleted (114.pdf)

#7 - 2024-06-22 07:53 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Toshi MARUYAMA wrote in #note-2:

But it seems be fixed by #23755 on 3.4-stable.

 Closing as a duplicate of #23755.
